<?php

$dir = dirname(__FILE__);
if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    // Windows
    $mainDir = preg_replace("/plugins.nmidCreatePDF/","",$dir);
} else {
    // Other Os
    $mainDir = preg_replace("/plugins\/nmidCreatePDF/","",$dir);
}

require_once('functions.php');  // Support functions
require_once('reportEngine.php');  // Report Engine

$licenseExpiry = '';
$timeLeft = getLicenseExpiry();
if ( $timeLeft > 0 ) {
    $licenseExpiry = date("D M j G:i:s T Y",$timeLeft);
} else {
    $licenseExpiry = "never";
}


$mainUrl = $_SERVER['PHP_SELF'];
$mainUrl = preg_replace("/plugins\/nmidCreatePDF\/debug.php/","",$mainUrl);

echo "<h2>nmidCreatePDF Debug Page</h2><br>\n<hr>\n";
echo "<table>\n";
echo "<tr><td>Dir:</td><td><b>".$dir."</b></td></tr>\n";
echo "<tr><td>Main Dir: </td><td><b>".$mainDir."</b></td></tr>\n";
echo "<tr><td>PHP_SELF: </td><td><b>".$_SERVER['PHP_SELF']."</b></td></tr>\n";
echo "<tr><td>Cacti URL: </td><td><b>".$mainUrl."</b></td></tr>\n";
echo "<tr><td>Edition: </td><td><b>".EDITION."</b></td></tr>\n";
echo "<tr><td>License Expiry: </td><td><b>".$licenseExpiry."</b></td></tr>\n";

if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    if ( file_exists(".\parallelGraphRetriever.exe") ) {
        echo "<tr><td colspan=2>File parallelGraphRetriever.exe exists</td></tr>\n";
    }
    else {
        echo "<tr><td colspan=2>File parallelGraphRetriever <b>does not</b> exists</td></tr>\n";
    }
} else {
    if ( file_exists("./parallelGraphRetriever") ) {
        echo "<tr><td colspan=2>File parallelGraphRetriever exists</td></tr>\n";
    }
    else {
        echo "<tr><td colspan=2>File parallelGraphRetriever <b>does not</b> exists</td></tr>\n";
    }
} 

if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    if ( file_exists(".\getSmokePingPath.exe") ) {
        echo "<tr><td colspan=2>File getSmokePingPath.exe exists</td></tr>\n";
    }
    else {
        echo "<tr><td colspan=2>File getSmokePingPath.exe <b>does not</b> exists</td></tr>\n";
    }
} else {
    if ( file_exists("./getSmokePingPath") ) {
        echo "<tr><td colspan=2>File getSmokePingPath exists</td></tr>\n";
    }
    else {
        echo "<tr><td colspan=2>File getSmokePingPath <b>does not</b> exists</td></tr>\n";
    }
}
echo "</table>\n";
?>